Subject: [PATCH v4 6/6] ARM: dts: STiH407: Add B2120 board support

From: [email-masked] (Lee Jones)
Date: Tue, 20 May 2014 08:43:53 +0100

> >> > +       soc {
> >> > +               sbc_serial0: serial at 9530000 {
> >> > +                       status = "okay";
> >> > +               };
> >>
> >> You might want to consider reference-based syntax here instead, so you
> >> don't have to mimic the hierarchy. That'd be (at the root level of the
> >> file, below this secion:
> >>
> >> &sbc_serial0: {
> >>         status = "okay";
> >> };
> >
> > I'm personally not keen on this scheme.  It's sometimes helpful to know
> > the hierarchy and I don't think it's a large overhead to format the
> > subordinate DTS files in this way.
> >
> > Please consider not enforcing this.
> 
> Definitely not enforcing it, and I didn't use to like it either but it
> has some real upsides.
> 
> In particular, it saves a lot of grief when you're changing something
> like the unit-id of a node in .dtsi and forget to do the same update
> in the dts.

I'm not entirely sure what a unit-id is, but I can see that there
would be benefits to using the referenced-based syntax as you call
it.  If any of those benefits hold true here I won't push back, but I
would personally like to see us default to the hierarchical scheme.

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog